Subject: Re: bug#20626: Wishlist: M-x shell-command-on-rectangle-region

From: Juri Linkov <[email-masked]>
Date: Fri, 22 May 2015 01:47:52 +0300

> Wishlist:
> M-x shell-command-on-rectangle-region

As you can see in bug#20070, the effort to make commands rectangleable
had stalled some time ago due to the need to decide how to handle
backward-compatibility of the existing region arguments, e.g. in

  (shell-command-on-region START END COMMAND &optional OUTPUT-BUFFER REPLACE
                           ERROR-BUFFER DISPLAY-ERROR-BUFFER)

how to send the boundaries of the rectangular region in START and END.

One idea is to handle it like recently we handled backward-compatibility
for saving dired positions in saveplace.el where we used a new format like

  ("~" (dired-filename . "~/.emacs.d/places"))

Using something like this means sending the rectangular bounds
either in START or END in the new format like

  (rect (1 . 2) (3 . 4))